Skip to main content
PUT
/
v1
/
workflow_custom_field_selections
/
{id}
[DEPRECATED] Update a workflow custom field selection
curl --request PUT \
  --url https://api.rootly.com/v1/workflow_custom_field_selections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "workflow_custom_field_selections",
    "attributes": {
      "incident_condition": "ANY",
      "values": [
        "<string>"
      ],
      "selected_option_ids": [
        123
      ]
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/workflow_custom_field_selections/{id}"

payload = { "data": {
"type": "workflow_custom_field_selections",
"attributes": {
"incident_condition": "ANY",
"values": ["<string>"],
"selected_option_ids": [123]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'workflow_custom_field_selections',
attributes: {incident_condition: 'ANY', values: ['<string>'], selected_option_ids: [123]}
}
})
};

fetch('https://api.rootly.com/v1/workflow_custom_field_selections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "workflow_custom_field_selections",
    "attributes": {
      "workflow_id": "<string>",
      "custom_field_id": 123,
      "incident_condition": "ANY",
      "selected_option_ids": [
        123
      ],
      "values": [
        "<string>"
      ]
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

workflow_custom_field_selection updated

data
object
required
included
object[]